device_type: "qemu"

job_name: "tuxrun@qemu-arm64: mmtests-workload-stressng-getdent"
priority: "medium"
visibility: "public"

context:
    arch: "arm64"
    machine: "virt,virtualization=on,gic-version=3,mte=on"
    cpu: "max,pauth-impdef=on"
    memory: "4G"
    extra_options: ["-no-reboot", "-smp 2"]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 110
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyAMA0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog systemd.log_level=warning rw earlycon"'
        url: "https://example.com/Image.gz"
        compression: gz
      rootfs:
        image_arg: "-drive file={rootfs},if=none,format=raw,id=hd0 -device virtio-blk-device,drive=hd0"
        url: "https://storage.tuxboot.com/debian-mmtests/bookworm/arm64/rootfs.ext4.xz"
        compression: xz
        format: ext4
        overlays:
          lava: true
          modules:
            url: "https://example.com/modules.tar.xz"
            path: "/"
            format: tar
            compression: xz
          overlay-00:
            url: "https://storage.tuxboot.com/overlays/debian/bookworm/arm64/mmtests/master/config-workload-stressng-getdent.tar.xz"
            path: "/mmtests"
            format: tar
            compression: xz
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 90
    definitions:
    - repository: https://github.com/roxell/test-definitions.git
      lava-signal: kmsg
      from: git
      branch: mmtests
      path: automated/linux/mmtests/mmtests.yaml
      parameters:
        SKIP_INSTALL: 'true'
        MMTESTS_CONFIG_FILE: 'configs/config-workload-stressng-getdent'
        MMTEST_ITERATIONS: '10'
        TEST_DIR: '/mmtests'
        FULL_ARCHIVE: 'false'
        SHARED_DIR: 'true'
      name: mmtests-workload-stressng-getdent
